import { Component, OnInit, Inject } from '@angular/core';
import { Pandemic } from '../models/Pandemic';
import { MatTableDataSource } from '@angular/material/table';
import { HttpClient } from '@angular/common/http';

@Component({
  selector: 'app-korona',
  templateUrl: './korona.component.html',
  styleUrls: ['./korona.component.css']
})
export class KoronaComponent implements OnInit {
  public korona: Pandemic[];

  constructor(http: HttpClient, @Inject('BASE_URL') baseUrl: string) {
    http.get<Pandemic[]>(baseUrl + 'Pandemic/Get?').subscribe(result => {
      this.korona = result;
      console.log(this.korona);
    }, error => console.error(error));
  }

  ngOnInit(): void {
  }

}
